gr::radar::os_cfar_2d_vc_impl Class Reference

`#include <os_cfar_2d_vc_impl.h>`

Inheritance diagram for gr::radar::os_cfar_2d_vc_impl:

## Public Member Functions

| os_cfar_2d_vc_impl (int vlen, std::vector< int > samp_compare, std::vector< int > samp_protect, float rel_threshold, float mult_threshold, const std::string &len_key)
| ~os_cfar_2d_vc_impl ()
void | set_rel_threshold (float inp)
void | set_mult_threshold (float inp)
void | set_samp_compare (std::vector< int > inp)
void | set_samp_protect (std::vector< int > inp)
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

int | d_vlen
std::vector< int > | d_samp_compare
std::vector< int > | d_samp_protect
float | d_rel_threshold
float | d_mult_threshold
std::vector< float > | d_x
std::vector< float > | d_y
std::vector< float > | d_power
pmt::pmt_t | d_port_id
std::vector< tag_t > | d_tags
pmt::pmt_t | d_ptimestamp
pmt::pmt_t | d_px
pmt::pmt_t | d_py
pmt::pmt_t | d_ppower
pmt::pmt_t | d_value

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::radar::os_cfar_2d_vc
typedef std::shared_ptr< os_cfar_2d_vc > | sptr
Static Public Member Functions inherited from gr::radar::os_cfar_2d_vc
static sptr | make (int vlen, std::vector< int > samp_compare, std::vector< int > samp_protect, float rel_threshold, float mult_threshold, const std::string &len_key="packet_len")
| Return a shared_ptr to a new instance of radar::os_cfar_2d_vc.

## Constructor & Destructor Documentation

## os_cfar_2d_vc_impl()

gr::radar::os_cfar_2d_vc_impl::os_cfar_2d_vc_impl | ( | int | vlen,
|  | std::vector< int > | samp_compare,
|  | std::vector< int > | samp_protect,
|  | float | rel_threshold,
|  | float | mult_threshold,
|  | const std::string & | len_key )

## ~os_cfar_2d_vc_impl()

gr::radar::os_cfar_2d_vc_impl::~os_cfar_2d_vc_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::radar::os_cfar_2d_vc_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## set_mult_threshold()

void gr::radar::os_cfar_2d_vc_impl::set_mult_threshold | ( | float | inp | ) |

virtual

Implements gr::radar::os_cfar_2d_vc.

## set_rel_threshold()

void gr::radar::os_cfar_2d_vc_impl::set_rel_threshold | ( | float | inp | ) |

virtual

Implements gr::radar::os_cfar_2d_vc.

## set_samp_compare()

void gr::radar::os_cfar_2d_vc_impl::set_samp_compare | ( | std::vector< int > | inp | ) |

virtual

Implements gr::radar::os_cfar_2d_vc.

## set_samp_protect()

void gr::radar::os_cfar_2d_vc_impl::set_samp_protect | ( | std::vector< int > | inp | ) |

virtual

Implements gr::radar::os_cfar_2d_vc.

## work()

int gr::radar::os_cfar_2d_vc_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_mult_threshold

float gr::radar::os_cfar_2d_vc_impl::d_mult_threshold

## d_port_id

pmt::pmt_t gr::radar::os_cfar_2d_vc_impl::d_port_id

## d_power

std::vector<float> gr::radar::os_cfar_2d_vc_impl::d_power

## d_ppower

pmt::pmt_t gr::radar::os_cfar_2d_vc_impl::d_ppower

## d_ptimestamp

pmt::pmt_t gr::radar::os_cfar_2d_vc_impl::d_ptimestamp

## d_px

pmt::pmt_t gr::radar::os_cfar_2d_vc_impl::d_px

## d_py

pmt::pmt_t gr::radar::os_cfar_2d_vc_impl::d_py

## d_rel_threshold

float gr::radar::os_cfar_2d_vc_impl::d_rel_threshold

## d_samp_compare

std::vector<int> gr::radar::os_cfar_2d_vc_impl::d_samp_compare

## d_samp_protect

std::vector<int> gr::radar::os_cfar_2d_vc_impl::d_samp_protect

## d_tags

std::vector<tag_t> gr::radar::os_cfar_2d_vc_impl::d_tags

## d_value

pmt::pmt_t gr::radar::os_cfar_2d_vc_impl::d_value

## d_vlen

int gr::radar::os_cfar_2d_vc_impl::d_vlen

## d_x

std::vector<float> gr::radar::os_cfar_2d_vc_impl::d_x

## d_y

std::vector<float> gr::radar::os_cfar_2d_vc_impl::d_y

The documentation for this class was generated from the following file:

- os_cfar_2d_vc_impl.h